Zooming in causes canvas to go blank

2018-03-03 04:02 PM - Patrick Dunford

Status: Open

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:3.0.0 Regression?: No

Operating System: Debian 9.3 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26212

Description

I just started using a project in Qgis 3 and it has some raster images loaded in the background. Quite often when I zoom in, the canvas

goes completely blank and never redraws. This behaviour has never been seen in 2.18

History

#1 - 2018-03-03 06:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please attach sample project with sample data, as of course this is not a issue that shows in general.

#2 - 2018-03-04 02:05 PM - Patrick Dunford

That's not easy to do as it is a large project with hundreds of raster images.

I can describe what is happening and state that none of the following versions have this problem: 2.14.22, 2.18.17 or 2.99 build 313ec55.

Basically I can have my project open, and all the hundreds of rasters are turned off. They are not being displayed on the canvas. The only layers displayed

on the canvas are vector layers.

I started to see this happening as soon as I displayed one single raster layer but after a lot of testing I started seeing it happening even with none of them

displayed.

Basically you just drag the canvas, zoom, etc, whatever until a magical moment happens where it blanks the canvas as preparation for redrawing and

never redraws, instead all you see is a continuously moving progress bar that never stops.

It's like it somehow ran out of or leaked all the resources and there are none left, or however one would describe it.

Doesn't look like any out of memory problem. It doesn't crash on any of the VMs for the older versions, those VMs typically have around 8 GB allocated

memory. On my 24 GB PC the memory is nowhere near all used up, no swap or anything.

I just left it sitting there and came back 2 hours later and it's still hung. But even in this state you can still save the project and quit normally, you just can't

do anything else.

#3 - 2018-03-05 03:01 PM - Patrick Dunford

https://my.pcloud.com/publink/show?code=kZAfT57Z0doVKojjEQ4dvJQfYAmsOQpolq4k is currently uploading, needs another hour or so.
https://my.pcloud.com/publink/show?code=kZAfT57Z0doVKojjEQ4dvJQfYAmsOQpolq4k


Was retested under 3.1 build 871132e on Devuan 2.0

#4 - 2018-03-05 04:02 PM - Patrick Dunford

- File Screenshot_2018-03-06_03-03-54.png added

Download the Root folder

Project file called 18322 TEST PROJECT

see attached screenshot

#5 - 2018-03-08 12:29 AM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2018-03-15 01:40 PM - Patrick Dunford

Just FTR this doesn't just happen with big projects. I have a project at the moment with 10 vector layers and about a hundred rasters, after a few days of

work it's just frozen up. It just happens a lot faster with a big project, that's all.
